import java.util.LinkedList;

public class Class225_Sub9 extends Class225 {

   double aDouble8517;
   short[][] aShortArrayArray8518;


   long method13554(int var1) {
      return (long)(this.aShortArrayArray8518.length << 32 | this.aShortArrayArray8518[0].length);
   }

   Class225_Sub9(short[][] var1, double var2) {
      this.aShortArrayArray8518 = var1;
      this.aDouble8517 = var2;
   }

   static final void method13555(Class508 var0, int var1) throws Exception_Sub4 {
      var0.anInt6003 -= 196624946;
      boolean var2 = 1 == var0.anIntArray6027[-937710807 * var0.anInt6003];
      boolean var3 = 1 == var0.anIntArray6027[var0.anInt6003 * -937710807 + 1];
      Class336.aClass35_Sub1_4206.method917(var2, var3, -1241795197);
   }

   static final void method13556(Class508 var0, int var1) {
      var0.anInt6003 -= 393249892;
      client.aShort7919 = (short)var0.anIntArray6027[-937710807 * var0.anInt6003];
      if(client.aShort7919 <= 0) {
         client.aShort7919 = 1;
      }

      client.aShort7920 = (short)var0.anIntArray6027[1 + var0.anInt6003 * -937710807];
      if(client.aShort7920 <= 0) {
         client.aShort7920 = 32767;
      } else if(client.aShort7920 < client.aShort7919) {
         client.aShort7920 = client.aShort7919;
      }

      client.aShort7756 = (short)var0.anIntArray6027[2 + var0.anInt6003 * -937710807];
      if(client.aShort7756 <= 0) {
         client.aShort7756 = 1;
      }

      client.aShort7701 = (short)var0.anIntArray6027[var0.anInt6003 * -937710807 + 3];
      if(client.aShort7701 <= 0) {
         client.aShort7701 = 32767;
      } else if(client.aShort7701 < client.aShort7756) {
         client.aShort7701 = client.aShort7756;
      }

   }

   static final void method13557(PacketBuffer var0, int var1) {
      for(int var2 = 0; var2 < Class184.anInt2214 * -1203066889; ++var2) {
         int var3 = Class184.anIntArray2215[var2];
         Class515_Sub1_Sub4_Sub4_Sub1 var4 = client.aClass515_Sub1_Sub4_Sub4_Sub1Array7799[var3];
         int var5 = var0.readUnsignedByte(-700559597);
         if(0 != (var5 & 4)) {
            var5 += var0.readUnsignedByte(-700559597) << 8;
         }

         if(0 != (var5 & 2048)) {
            var5 += var0.readUnsignedByte(-700559597) << 16;
         }

         Class225_Sub32.method14012(var0, var3, var4, var5, -1049411635);
      }

   }

   public static void method13558(Class253 var0, byte var1) {
      Class529.anInt7206 = 0;
      Class529.anInt7199 = 0;
      Class529.aList7202 = new LinkedList();
      Class529.aClass222_Sub1_Sub1_Sub1Array7201 = new Class222_Sub1_Sub1_Sub1[1024];
      Class529.aClass528Array7198 = new Class528[1 + Class76.anIntArray701[Class529.anInt7207 * 385979637]];
      Class529.anInt7196 = 0;
      Class529.anInt7200 = 0;
      Class181.method3219(var0, 441488537);
      Class409.method7006(var0, (byte)-14);
   }
}
